PDA

View Full Version : [ubuntu] Desktop effects



Blackwater12
June 2nd, 2009, 10:22 AM
Gathering information about your system...

Distribution: Ubuntu 8.04
Desktop environment: GNOME
Graphics chip: ATI Technologies Inc RV530 [Radeon X1600]
Driver in use: radeon
Rendering method: AIGLX

Checking if it's possible to run Compiz on your system...

Checking for texture_from_pixmap... [ OK ]
Checking for non power of two support... [ OK ]
Checking for composite extension... [ OK ]
Checking for FBConfig... [ OK ]
Checking for hardware/setup problems... [ OK ]
Checking for Xgl: not present.
Detected PCI ID for VGA: 01:00.0 0300: 1002:71c2 (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (2048): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
compiz 0.7.4

Why won't it let me use desktop effects?

s.fox
June 2nd, 2009, 11:44 AM
Hi,

Have you tried following the advice here (http://forum.compiz-fusion.org/showthread.php?t=5854)? You seem to have a similar problem with nvidea and xgl.

Hope this helps.

-Ash R

labinnsw
June 2nd, 2009, 11:49 AM
Try installing the Nvidia driver. (System >> Administration >> Hardware drivers)

Ensure that the enable check box is ticked.

3rdalbum
June 2nd, 2009, 11:57 AM
Try installing the Nvidia driver. (System >> Administration >> Hardware drivers)

Ensure that the enable check box is ticked.

Err... ATI driver.

ATI/AMD has obsoleted several cards in Linux, so the new drivers don't work with older cards, and the old drivers don't work with the new version of Xorg that comes with Jaunty. If the Hardware Drivers program does not offer a proprietary driver for your graphics card, then DO NOT attempt to install one from the AMD website.

neo.patrix
June 2nd, 2009, 12:25 PM
I think , ATI X1600 is a legacy card now (read Primitive). What it means is that AMD/ATI is not going to release any new drivers for it. Unfortunately old existing proprietary driver for your card which used to work with Intrepid or older system ( also older version of X.Org) will not work with Jaunty (latest version X.Org). AMD/ATI has released new driver to work with latest X.Org, but most probably that driver does not support your card.

If you want desktop effects, you should better stick with Intrepid and not upgrade to Jaunty. I near future, think about replacing your graphics-card. (I know it is bit harsh, I am stuck as well)

overdrank
June 2nd, 2009, 01:10 PM
[code]Gathering information about your system...

Distribution: Ubuntu 8.04
Desktop environment: GNOME
Graphics chip: ATI Technologies Inc RV530 [Radeon X1600]
Driver in use: radeon
Rendering method: AIGLX



Hi and I assumed you installed the drivers via restricted drivers under system, administration.
Have you tried booting into recovery mode and use the xfix option?

Blackwater12
June 2nd, 2009, 03:51 PM
Try installing the Nvidia driver. (System >> Administration >> Hardware drivers)

Ensure that the enable check box is ticked.


I did this now it says monitor unsupported

labinnsw
June 3rd, 2009, 11:58 AM
I did this now it says monitor unsupported

Try to set the refresh rate on the monitor. (http://ubuntuforums.org/showthread.php?t=1077328) (System >> preferences >> Screen resolution)